#include "stdafx.h"

int main()
{
	//Init our robot
	Robot* localRobot = new Robot();

	//Init Engines
	for(uint8 i = IO_ENGINE_START; i < IO_ENGINE_END; i++)
	{
		Engine* newEngine = new Engine(i);
		localRobot->AddModule(newEngine);
		newEngine = NULL;
	}

	//Init Sensors
	for(uint8 i = IO_SENSOR_START; i < IO_SENSOR_END; i++)
	{
		SensorTypes newSensorType;

		switch(i)
		{
			//Cases when sensor is digital:
			//	newSensorType = SENSOR_TYPE_DIGITAL;
			//	break;

			//Other cases
			default:
				newSensorType = SENSOR_TYPE_ANALOG;
				break;
		}

		Sensor* newSensor = new Sensor(i, newSensorType);
		localRobot->AddModule(newSensor);
		newSensor = NULL;
	}

	//Run
	while(true)
	{
		localRobot->Update();
	}

	//Cleanup
	delete localRobot;
	localRobot = NULL;
}
